Create payment linkCopy Pagepost https://api.truelayer-sandbox.com/v3/payment-linksCreate a new payment link This API must be called using a backend bearer token.Body ParamstypestringenumrequiredThe type of the Payment linksingle_paymentAllowed:single_paymentexpires_atstringThe date and time the payment link will expire at. If this property isn't specified, the payment link will expire 24 hours after its creation.payment_configurationobjectrequiredConfiguration of the payment to be created when using the link. This follows the same structure as the create payment request in payments v3 with a couple of distinctions: This configuration only supports bank_transfer payment method. This configuration won't allow data_access_token. Payment Details objectproduct_itemsarray of objectslength ≥ 1List of items associated to this link.product_items objectProduct detailsnamestringrequiredName of the product.price_in_minorintegerrequired≥ 0A 'cent' value representing the price of the product. eg 100 == 1GBP or 100 = 1EURquantityintegerrequired≥ 1The product item quantityurlurlUrl of the product.ADD objectreferencestringReference for the payment link. This reference will be shown in the link's UI. This reference won't be shared with the provider or any other third-party.return_uriurlThis URL determines where the end user will be redirected back once they successfully completed the authorization flow of a payment attempt. If no URL is provided, the end user won't be redirected anywhere, but will instead be shown a TrueLayer's page notifying success.HeadersIdempotency-KeystringrequiredAn idempotency key to allow safe retrying without the operation being performed multiple times. The value should be unique for each operation, e.g. a UUID, with the same key being sent on a retry of the same request.Tl-SignaturestringrequiredA JWS with detached content, signed with your private key. See Request SigningacceptstringenumDefaults to application/json; charset=UTF-8Generated from available response content typesapplication/json; charset=UTF-8application/problem+json; charset=UTF-8Allowed:application/json; charset=UTF-8application/problem+json; charset=UTF-8Responses 201Payment link 400Invalid Parameters 401Unauthenticated 403Forbidden 409Idempotency-Key Concurrency Conflict 422Idempotency-Key Reuse 429Rate Limit Exceeded 500Unknown ErrorUpdated about 1 month ago